System.Xml [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 To be added System.Xml.XmlNode System.Xml.IHasXmlChildNode The root node of an XML document.

An Xml document is the root node of an Xml tree. The root node contains optional , zero or more s, zero or more s, zero or more s, optional which becomes the , and exactly one which is the .

Note that an XmlDocument is not same as the . The document element is the top-level element node. An XmlDocument is not an element; it is the parent of the top-most element. Whereas all element nodes have parent nodes, XmlDocuments do not have parents.

Note that this class and the entire Document Object Model classes in this namespace is part of ECMA-335 CLI standard. Also note that there are many members which has corresponding interface member in any of W3C Document Object Model specifications.

XmlDocument provides a set of node editing event system. , , , , and are the events and all of them are typed as .

When a child node is being replaced, or the node being inserted is actually attached to another parent, then first is raised. However, when only the character data of a node is changed, then it just raises and no insertion and removal events are raised.

For attribute nodes, the event system is more complicated. If an attribute is replacing another one, then first is raised. However, if is being set, then the behavior varies depending on how many children are under the attribute node. If there was nothing, then this NodeInserting event is raised. If there was only one child, then is raised. In other cases, is raised for each existing child, and then this NodeInserting event is raised. Note that in that single character data child case, the target node of and events is not the attribute node, but the child character data node of the attribute.

- Constructor
  Creates a new object of this type.

  Creates a new document object. It is equivalent to with a new object as its argument.

  1.0.5000.0
  2.0.0.0
- Constructor
  To be added.
  To be added.
  To be added.
  1.0.5000.0
  2.0.0.0
- Constructor
  An object to store name strings.
  Creates a new object of this type, with the argument as its .

  Creates a new document object, using argument as its property.

  The XmlNameTable is added some name strings used in the document object model, such as "#element" (node names), "xml", "lang" and "space" (predefined xml attributes).

  1.0.5000.0
  2.0.0.0
- Property
  System.String To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Xml.XmlNode `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Xml.XmlAttribute `` To be added: an object of type 'string' To be added To be added: an object of type 'XmlAttribute' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Xml.XmlAttribute `` `` To be added: an object of type 'string' To be added: an object of type 'string' To be added To be added: an object of type 'XmlAttribute' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Xml.XmlAttribute `` `` `` a string which becomes the prefix of the returned attribute. a string which becomes the local name of the returned attribute. a string which becomes the namespace URI of the returned attribute. Creates an object. A new instance whose is this document.

  Creates a new XmlAttribute instance with specified name components. must be a valid XML Name string.

  If the parameter is "xmlns" or is "xmlns" and the prefix is an empty string, then "http://www.w3.org/2000/xmlns/" is automatically supplied for namespace URI of the returned node. Similarly, "http://www.w3.org/XML/1998/namespace" is supplied if the prefix is "xml".

  1.0.5000.0
  2.0.0.0
- Method
  System.Xml.XmlCDataSection `` To be added: an object of type 'string' To be added To be added: an object of type 'XmlCDataSection' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Xml.XmlComment `` To be added: an object of type 'string' To be added To be added: an object of type 'XmlComment' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Xml.XmlAttribute `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Xml.XmlDocumentFragment To be added To be added: an object of type 'XmlDocumentFragment' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Xml.XmlDocumentType `` `` `` `` To be added: an object of type 'string' To be added: an object of type 'string' To be added: an object of type 'string' To be added: an object of type 'string' To be added To be added: an object of type 'XmlDocumentType' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Xml.XmlElement `` To be added: an object of type 'string' To be added To be added: an object of type 'XmlElement' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Xml.XmlElement `` `` To be added: an object of type 'string' To be added: an object of type 'string' To be added To be added: an object of type 'XmlElement' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Xml.XmlElement `` `` `` a string which becomes the prefix of the returned element. a string which becomes the local name of the returned element. a string which becomes the namespace URI of the returned element. Creates an object. A new instance whose is this document.

  Creates a new XmlElement instance with specified name components. must be a valid XML Name string.

  If the of this document exists and there is a corresponding ATTLIST definition for this element, the returned node contains default attributes in its property.

  1.0.5000.0
  2.0.0.0
- Method
  System.Xml.XmlEntityReference `` To be added: an object of type 'string' To be added To be added: an object of type 'XmlEntityReference' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Xml.XPath.XPathNavigator To be added. To be added. To be added. 2.0.0.0
- Method
  System.Xml.XPath.XPathNavigator `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Xml.XmlNode `` `` `` Node type name that indicates the type of node to be created. Name string of the node to be created. Namespace URI string of the node to be created. Creates an instance. An instance as indicated by the parameters.

  Creates an instance. It internally invokes method, with interpreted from parameter, as listed below:

  String
  Corresponding node type
  attribute
  cdatasection
  comment
  document
  documentfragment
  documenttype
  element
  entityreference
  processinginstruction
  significantwhitespace
  text
  whitespace
  1.0.5000.0
  2.0.0.0
- Method
  System.Xml.XmlNode `` `` `` that indicates the type of node to be created. Name string of the node to be created. Namespace URI string of the node to be created. Creates an instance. An instance as indicated by the parameters.

  Creates an instance, according to the arguments. It internally invokes .

  1.0.5000.0
  2.0.0.0
- Method
  System.Xml.XmlNode `` `` `` `` that indicates the type of node to be created. Prefix string of the node to be created. Local name string of the node to be created. Namespace URI string of the node to be created. Creates an instance. An instance as indicated by the parameters.

  Creates an instance, according to the arguments. The type of returned node is determined by the method that it invokes corresponding method for the argument, as listed below:

  XmlNodeType argument
  The method used to create returned value
  returns a new instance.
  1.0.5000.0
  2.0.0.0
- Method
  System.Xml.XmlProcessingInstruction `` `` To be added: an object of type 'string' To be added: an object of type 'string' To be added To be added: an object of type 'XmlProcessingInstruction' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Xml.XmlSignificantWhitespace `` To be added: an object of type 'string' To be added To be added: an object of type 'XmlSignificantWhitespace' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Xml.XmlText `` To be added: an object of type 'string' To be added To be added: an object of type 'XmlText' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Xml.XmlWhitespace `` To be added: an object of type 'string' To be added To be added: an object of type 'XmlWhitespace' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Xml.XmlDeclaration `` `` `` To be added: an object of type 'string' To be added: an object of type 'string' To be added: an object of type 'string' To be added To be added: an object of type 'XmlDeclaration' To be added 1.0.5000.0 2.0.0.0
- Property
  System.Xml.XmlElement Gets the document element, if any. an object that represents the document element, or null if it does not exist yet.

  It represents the document element (root element) of this document. A well-formed XML document must have exactly one element, but this property could be null.

  This property is an equivalent of "documentElement" attribute of Document interface in W3C Document Object Model Core specification.

  1.0.5000.0
  2.0.0.0
- Property
  System.Xml.XmlDocumentType Gets the document type definition (DTD). object that represents the document type definition (DTD) of this document, or null if none as such.

  This property holds an object that represents DTD (document type definition) of this document.

  DTD node can be created either from where the input was positioned at DTD, or method. Note that there is no standard way to provide DTD node in W3C Document Object Model specification. They are just a proprietary extension.

  This property is an equivalent of "doctype" attribute of Document interface in W3C Document Object Model Core.

  1.0.5000.0
  2.0.0.0
- Method
  System.Xml.XmlElement `` An ID string to identify the target element. Returns an node whose ID matches the argument string. An instance that matches the argument ID, or null if there is no such element.

  This method tries to find an element whose ID is equivalent to the argument string. ID is assigned only when the element has corresponding attribute whose type is ID. If there is no such element, then this method returns null.

  The type of an attribute is assumed from its definition. Note that the name of an attribute is nothing to do with the type. The type of attribute whose name is "id" is not ID unless it is explicitly defined.

  1.0.5000.0
  2.0.0.0
- Method
  System.Xml.XmlNodeList `` Name of the target elements to find. Returns a node list which contains descendant elements of this document which match the specified name. that contains the resulting elements.

  It searches such descendant element nodes of this document whose name matches the argument, and returns the list of the matching nodes as an .

  If is "*", then it indicates to match all of the elements.

  Note that it searches the entire descendants, not limited to the children. Also note that it returns only element nodes.

  1.0.5000.0
  2.0.0.0
- Method
  System.Xml.XmlNodeList `` `` Local name of the target elements to find. Namespace URI of the target elements to find. Returns a node list which contains descendant elements of this document which match the specified name. that contains the resulting elements.

  It searches such descendant element nodes of this document whose local name and namespace URI matches the arguments, and returns the list of the matching nodes as an .

  If is "*", then it indicates to match any of the local name of the elements. If is "*", then it indicates to match any of the namespace URI of the elements.

  Note that it searches the entire descendants, not limited to the children. Also note that it returns only element nodes.

  1.0.5000.0
  2.0.0.0
- Property
  System.Xml.XmlImplementation Gets the which created this document object, if any. object which created this object, or null if there is no such relevant object.

  If this document is created from method, then this property returns the source object. If not, then it returns null.

  This property is an equivalent of "implementation" attribute of Document interface in W3C Document Object Model Core specification.

  1.0.5000.0
  2.0.0.0
- Method
  System.Xml.XmlNode `` `` An to import. a boolean value that indicates whether this method copies the descendants of the argument node. Used to import an which comes from another document instance. An that is imported.

  This method is used to "import" a node which resides another XmlDocument. XmlNode objects cannot be added if its is different from this object. This method creates a "clone" of argument node as its own node that can be added to the tree of this document.

  If is specified, then it recursively imports descendant nodes and appended to the corresponding parent node. Regardless of this parameter, attribute nodes are copied. They are not "children" of the owner node.

  The returned node is "detached". It is not appended to the corresponding of the argument even if it exists.

  1.0.5000.0
  2.0.0.0
- Property
  System.String To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Property
  System.Boolean To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` A object to be loaded. It must be readable. Read the argument as XML document and loads it as content nodes.

  Creates an instance from the argument and loads it as contents of this document. It internally creates an instance and invokes .

  This method does not validate the input document.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` A object to be loaded. Read the argument as XML document and loads it as content nodes.

  Creates an instance from the argument and loads it as contents of this document. It internally creates an instance and invokes .

  This method does not validate the input document.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` A URI string to load as the document contents. Read the argument as XML document and loads it as content nodes.

  Creates an instance from the argument URI string and loads it as contents of this document. It internally creates an instance and invokes .

  This method does not validate the input document.

  Note that there is no corresponding interface member in any of W3C Document Object Model specifications.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` An instance whose contents are being loaded. Loads the argument as document content nodes.

  Loads the argument as its child. It clears existing child nodes and then internally invokes and appends the returned nodes as its child.

  This method does not validate the input document, but if the argument is , then it will report validation errors if any.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` raw XML markup string. Loads the argument as raw XML string.

  Loads the argument string as raw XML string. It internally creates an instance and invokes .

  Note that there is no corresponding interface member in any of W3C Document Object Model specifications.

  1.0.5000.0
  2.0.0.0
- Property
  System.String To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Property
  System.String To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Property
  System.Xml.XmlNameTable Gets an object that stores all name strings used in this document. an that stores all name strings.

  This property returns an object that stores all name strings used in the entire descendants of this document.

  It returns the same name table as its constructor was passed. In case that this object is created via the default constructor, it is a new object.

  Note that there is no corresponding interface member in any of W3C Document Object Model specifications.

  1.0.5000.0
  2.0.0.0
- Event
  System.Xml.XmlNodeChangedEventHandler Raised after the value of a node was changed.

  This event is raised after the value of a node which resides in this document was changed. It is invoked after the value was actually changed.

  For the entire document event system, see .

  1.0.5000.0
  2.0.0.0
- Event
  System.Xml.XmlNodeChangedEventHandler Raised before the value of a node is being changed.

  This event is raised when the value of a node which resides in this document is being changed. It is invoked before the value is actually changed.

  For the entire document event system, see .

  1.0.5000.0
  2.0.0.0
- Event
  System.Xml.XmlNodeChangedEventHandler Raised after a node was inserted.

  This event is raised when a node was inserted as a child of any nodes in this document. It is invoked after the node was actually inserted.

  For the entire document event system, see .

  1.0.5000.0
  2.0.0.0
- Event
  System.Xml.XmlNodeChangedEventHandler Raised before a node is being inserted.

  This event is raised when a node is being inserted as a child or an attribute of any nodes in this document. It is invoked before the node is actually inserted.

  For the entire document event system, see .

  1.0.5000.0
  2.0.0.0
- Event
  System.Xml.XmlNodeChangedEventHandler Raised after a node was removed.

  This event is raised after a node was removed from its parent node, or an attribute was removed from its owner element, which resides in this document. It is invoked after the node was actually removed.

  For the entire document event system, see .

  1.0.5000.0
  2.0.0.0
- Event
  System.Xml.XmlNodeChangedEventHandler Raised before a node is being removed.

  This event is raised when a node is being removed from its parent node, or an attribute is being removed from its owner element, which resides in this document. It is invoked before the node is actually removed.

  For the entire document event system, see .

  1.0.5000.0
  2.0.0.0
- Property
  System.Xml.XmlNodeType To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Property
  System.Xml.XmlDocument To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Property
  System.Xml.XmlNode To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Property
  System.Boolean Gets or sets a flag that indicates whether this document preserves whitespace nodes on loading content. A boolean value that indicates whether this document preserves whitespacenodes when it loads the document content.

  When loading XML content to this document via such methods like or , this property is used to indicate whether it preserves such nodes whose is or not. If this property is true, then those whitespace nodes are loaded as nodes. If false, then they are discarded.

  Whitespace node in XML is such a node whose character data consists only of &#x9; &#xA; &#xD; and &#x20;.

  The default value is false.

  This flag does not indicate to ignore significant whitespaces (those whitespace nodes that are descendant of such element that has such "xml:space" attribute whose value is "preserve"), i.e. it does not discard those nodes whose is . Also, it does not indicate to ignore such text or CDATA section nodes whose character data consist of only whitespace characters.

  Note that there is no corresponding interface member in any of W3C Document Object Model specifications.

  1.0.5000.0
  2.0.0.0
- Method
  System.Xml.XmlNode `` An to read. Read an XML node from argument and returns it as an object. An object that represents the node in the argument XmlReader, or null if the reader is not ready to be consumed.

  This method consumes current node in the argument XmlReader and creates an instance of one of the derived class of . The returned node contains all of the children. After this method was invoked, the argument XmlReader is positioned either at the next sibling node in the tree, or at the of the parent element.

  If the argument XmlReader is at state, then first it moves to the first node and then consumes it as current node.

  Unlike , this method rejects such entity reference nodes whose referenced entity does not exist. In such cases, an is thrown.

  For entity reference nodes, if the argument XmlReader can resolve entities as indicated by property, it resolves the entity using method and appends the resolved children as the content of the node, instead of the entity reference node itself.

  If the argument XmlReader is positioned at , a is thrown.

  If the argument XmlReader is neither in the state of nor the state of , then it returns null.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` A object to save the entire document. It must be writable. Writes the entire document into argument .

  Writes the entire document into argument Steram. This method internally creates an XmlWriter instance considering property, and invokes method.

  This method does not close the argument Steram.

  With this method, the output XML is indented.

  The output XML might contain XML declaration, in the same way as does, if it is required.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` A object to save the entire document. Writes the entire document into argument .

  Writes the entire document into argument TextWriter. This method internally creates an XmlWriter instance and invokes method.

  This method does not close the argument TextWriter.

  With this method, the output XML is indented.

  The output XML might contain XML declaration, in the same way as does, if it is required.

  Note that this method does not use property to specify output encoding.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` A filename to save the entire XML document. Writes the entire document into specified file.

  It creates a file from the argument filename and writes the entire document into the file. This method internally creates an XmlWriter instance considering property, and invokes method.

  With this method, the output XML is indented.

  The output XML might contain XML declaration, in the same way as does, if it is required.

  Note that there is no corresponding interface member in any of W3C Document Object Model specifications.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` An to save the entire document. Writes the entire document into argument .

  Saves the entire document into the argument . It internally invokes method for each child of the document.

  This method does not close argument XmlWriter.

  This method does not modify properties of the argument XmlWriter such as . This method does not write XML declaration if it explicitly exists in this XmlDocument.

  Note that this method does not use property to specify output encoding.

  1.0.5000.0
  2.0.0.0
- Property
  System.Xml.Schema.IXmlSchemaInfo To be added. To be added. To be added. 2.0.0.0
- Property
  System.Xml.Schema.XmlSchemaSet To be added. To be added. To be added. 2.0.0.0
- Property
  System.Xml.XmlLinkedNode To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added. To be added. To be added. 2.0.0.0
- Method
  System.Void `` `` To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Void `` To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Property
  System.Xml.XmlResolver Sets an xml resolver that is used to resolve external resources. An object to resolve external resources, or null to prohibit to resolve external resources.

  This property is used to resolve external resources such as SYSTEM ID in document type or entity declaration. This property is used in such methods as , or .

  By default this property holds an object. Setting null to this property indicates that it never tries to resolve external resources.

  Note that there is no corresponding interface member in any of W3C Document Object Model specifications.

  1.0.5000.0
  2.0.0.0